playerc_position3d_t Struct Reference
position3d

Position3d device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
double | pose [3]
| Robot geometry in robot cs: pose gives the position3d and orientation, size gives the extent. More...
double | size [2]
double | pos_x
| Device position (m). More...
double | pos_y
double | pos_z
double | pos_roll
| Device orientation (radians). More...
double | pos_pitch
double | pos_yaw
double | vel_x
| Linear velocity (m/s). More...
double | vel_y
double | vel_z
double | vel_roll
| Angular velocity (radians/sec). More...
double | vel_pitch
double | vel_yaw
int | stall
| Stall flag [0, 1]. More...

## Detailed Description

Position3d device data.

## Member Data Documentation

playerc_device_t playerc_position3d_t::info

Device info; must be at the start of all device structures.

double playerc_position3d_t::pos_roll

Device orientation (radians).

double playerc_position3d_t::pos_x

Device position (m).

double playerc_position3d_t::pose[3]

Robot geometry in robot cs: pose gives the position3d and orientation, size gives the extent.

These values are filled in by playerc_position3d_get_geom().

int playerc_position3d_t::stall

Stall flag [0, 1].

double playerc_position3d_t::vel_roll

Angular velocity (radians/sec).

double playerc_position3d_t::vel_x

Linear velocity (m/s).

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45